Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.xbl
Interface NodeXBL

All Known Implementing Classes:
  AbstractAttr, AbstractAttrNS, AbstractCharacterData, AbstractChildNode, AbstractComment, AbstractDocument, AbstractDocumentFragment, AbstractElement, AbstractElement, AbstractElementNS, AbstractEntity, AbstractEntityReference, AbstractNode, AbstractNotation, AbstractParentChildNode, AbstractParentNode, AbstractProcessingInstruction, AbstractStylableDocument, AbstractText, BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GenericAttr, GenericAttrNS, GenericCDATASection, GenericComment, GenericDocument, GenericDocumentFragment, GenericDocumentType, GenericElement, GenericElementNS, GenericEntity, GenericEntityReference, GenericNotation, GenericProcessingInstruction, GenericText, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, StyleSheetProcessingInstruction, SVG12OMDocument, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMDocument, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMUseShadowRoot, SVGOMViewElement, SVGOMVKernElement, SVGPointShapeElement, SVGStylableElement, SVGStyleSheetProcessingInstruction, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface NodeXBL

Interface implemented by all nodes that support XBL. Eventually will move to org.w3c.dom.xbl (or some such package).

Method Summary
`Element` | `getXblBoundElement()` Get the bound element whose shadow tree this current node resides in.
`NodeList` | `getXblChildNodes()` Get the list of child nodes of this node in the fully flattened tree.
`NodeList` | `getXblDefinitions()` Get the xbl:definition elements currently binding this element.
`Node` | `getXblFirstChild()` Get the first child node of this node in the fully flattened tree.
`Element` | `getXblFirstElementChild()` Get the first element child of this node in the fully flattened tree.
`Node` | `getXblLastChild()` Get the last child node of this node in the fully flattened tree.
`Element` | `getXblLastElementChild()` Get the last element child of this node in the fully flattened tree.
`Element` | `getXblNextElementSibling()` Get the first element that follows the current node in the xblParentNode's xblChildNodes list.
`Node` | `getXblNextSibling()` Get the node which directly follows the current node in the xblParentNode's xblChildNodes list.
`Node` | `getXblParentNode()` Get the parent of this node in the fully flattened tree.
`Element` | `getXblPreviousElementSibling()` Get the first element that precedes the current node in the xblParentNode's xblChildNodes list.
`Node` | `getXblPreviousSibling()` Get the node which directly precedes the current node in the xblParentNode's xblChildNodes list.
`NodeList` | `getXblScopedChildNodes()` Get the list of child nodes of this node in the fully flattened tree that are within the same shadow scope.
`Element` | `getXblShadowTree()` Get the shadow tree of this node.

Method Detail

### getXblParentNode

    Node getXblParentNode()

  Get the parent of this node in the fully flattened tree.

### getXblChildNodes

    NodeList getXblChildNodes()

  Get the list of child nodes of this node in the fully flattened tree.

### getXblScopedChildNodes

    NodeList getXblScopedChildNodes()

  Get the list of child nodes of this node in the fully flattened tree that are within the same shadow scope.

### getXblFirstChild

    Node getXblFirstChild()

  Get the first child node of this node in the fully flattened tree.

### getXblLastChild

    Node getXblLastChild()

  Get the last child node of this node in the fully flattened tree.

### getXblPreviousSibling

    Node getXblPreviousSibling()

  Get the node which directly precedes the current node in the xblParentNode's xblChildNodes list.

### getXblNextSibling

    Node getXblNextSibling()

  Get the node which directly follows the current node in the xblParentNode's xblChildNodes list.

### getXblFirstElementChild

    Element getXblFirstElementChild()

  Get the first element child of this node in the fully flattened tree.

### getXblLastElementChild

    Element getXblLastElementChild()

  Get the last element child of this node in the fully flattened tree.

### getXblPreviousElementSibling

    Element getXblPreviousElementSibling()

  Get the first element that precedes the current node in the xblParentNode's xblChildNodes list.

### getXblNextElementSibling

    Element getXblNextElementSibling()

  Get the first element that follows the current node in the xblParentNode's xblChildNodes list.

### getXblBoundElement

    Element getXblBoundElement()

  Get the bound element whose shadow tree this current node resides in.

### getXblShadowTree

    Element getXblShadowTree()

  Get the shadow tree of this node.

### getXblDefinitions

    NodeList getXblDefinitions()

  Get the xbl:definition elements currently binding this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.